Package Gnumed :: Package CherryPy :: Module gmGuiWeb |
[frames] | no frames]

# Module gmGuiWeb

source code

Version: $Revision: 1 $

Author: S. Hilbert <Sebastian.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| cBackendProfile
| gmApp

Functions
connect_to_database(login_info=None, max_attempts=3, expected_version=None, require_version=True) Display the login dialog and try to log into the backend. | source code
GetLoginInfo(username=None, password=None, backend=None) convenience function for compatibility with gmLoginInfo.LoginInfo | source code
jsonrpchdl() | source code
main() | source code

Variables
| __doc__ = `"""GNUmed web client launch`...``
| PYJSDIR = `os.path.join(PYJSDIR, 'pyjamas')`
| DEFAULT_BACKEND = `"GNUmed database on this machine (Linux/Mac)`...``

Imports: cherrypy, Template, loads, dumps, sys, time, cPickle, zlib, locale, os, pyDT, shutil, logging, urllib2, regex, gmDateTime, gmHooks, gmLoginInfo, gmPG2, gmBackendListener, gmTools, gmCfg2, gmI18N, gmDispatcher, gmDocuments, gmGuiHelpersWeb

Function Details

### connect_to_database(login_info=None, max_attempts=3, expected_version=None, require_version=True) | source code
    Display the login dialog and try to log into the backend.

    - up to max_attempts times
    - returns True/False

Variables Details

  ### __doc__ Value:
      """GNUmed web client launcher.
      """

  ### DEFAULT_BACKEND Value:
      "GNUmed database on this machine (Linux/Mac) (gnumed_v17@)"